/**
 * Created with JetBrains PhpStorm.
 * User: gorunovata
 * Date: 23.07.12
 * Time: 16:10
 * To change this template use File | Settings | File Templates.
 */

Drupal.behaviors.teststurcture =  function(context) {

    $(document).click(function(e){
        if ($(e.target).parents().filter('.manager').length != 1) {
            $('#content_major').hide();}
        });
 $('.manager',context).hover(function () {

  $('#content_major').hide();
     var elem = document.getElementById($(this).attr("id"));

//alert($(elem).offset().right);
     $('#content_major').css('top',$(elem).offset().top);
//alert(elem.id);
     if ((elem.parentNode.id=="right-struct1")||(elem.parentNode.parentNode.parentNode.parentNode.id=="right-struct2"))
     {
         if ((elem.parentNode.parentNode.parentNode.parentNode.id=="right-struct2")||(elem.id==8)||(elem.id==7))
         {
             $('#content_major').css('left',($(elem).offset().left)-510);
         }
         else {
         $('#content_major').css('left',($(elem).offset().left-500));}
     }

     else
     {
         $('#content_major').css('left',$(elem).offset().left+$(elem).width()+20);
     }


                // Эта функция будет выполняться после того, как ajax запрос на сервер был выполнен успешно
                var updateProducts = function(data) {
                    // Параметр "data" является объектом JSON. Свойство “products” является списком товаров, который возвращается с сервера в ответ на запрос ajax.
                  //  alert(data.post);
                    $('#content_major').html('<div id="close_content" >X</div><table><tr><td><img class="content_major" src="'+ data.photo+'"></td><td>'+
                        '<a class="post" href="'+data.a+'">'+data.post+'</a><br><span class="fio">'+data.fio+'</span><br><br> тел.:'+data.tel+'<br>e-mail: '+data.email+' </td></tr><tr ><td colspan="2"><ul class="content_major">'+data.podr+

                '</ul></td></tr> </table>');

                    $('#content_major').fadeIn(100);
                  //  $('#content_major').show();
                    var elem = document.getElementById('close_content');
$('#close_content').css('margin-left','420px');
                   elem.setAttribute('onclick','$(\'#content_major\').hide()');
                }
                $.ajax({
                    type: 'POST',
                    url: 'http://administration.astrgorod.ru/test_url/get/'+$(this).attr("id"), // Which url should be handle the ajax request. This is the url defined in the <a> html tag
                    success: updateProducts,// The js function that will be called upon success request
                   dataType: 'json', //define the type of data that is going to get back from the server
                    crossDomain: true,
                    data: 'js=1' //Pass a key/value pair*/
                });

                return false;  // return false so the navigation stops here and not continue to the page in the link

 });



}